<!doctype html>
<html lang=en>
<head>
<meta charset=utf-8>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Congratulations | Cloud Run</title>
<link href="https://fonts.googleapis.com/css?family=Roboto" rel="preload" as="font">
<link href="/assets/cloud-run-36-color.png" rel="icon" type="image/png" />
<link href="/assets/style.css" rel="stylesheet" type="text/css" />
</head>

<body>
	<div class="container">
		<div class="hero">
			<div style="text-align:center;">
				<picture>
					<source srcset="/assets/celebration-dark.svg" media="(prefers-color-scheme: dark)">
					<img src="/assets/celebration.svg" alt="A group celebrating" width="427" height="231">
				</picture>
			</div>

			<div class="message">
				<h1>It's running V4!</h1>
				<h2>Congratulations, you successfully deployed a container image to Cloud Run</h2>
			</div>
		</div>

		<div class="details">
			<p>
                This created the revision <code>{{.Revision}}</code> of the Cloud Run service <code>{{.Service}}</code>.
            </p>

			<p class="callout">
				You can deploy any container to Cloud Run that listens for HTTP requests on the port defined by the
				<code>PORT</code> environment variable.
				Cloud Run will scale automatically based on requests and you never have to worry about
				infrastructure.
			</p>

			<h3>What's next?</h3>
			<ul>
				<li class="next">Try out live debugging in Cloud Code for <a href="https://cloud.google.com/code/docs/vscode/debugging-a-cloud-run-service" target="_blank" rel="noopener">VS Code</a> or <a href="https://cloud.google.com/code/docs/intellij/debugger" target="_blank" rel="noopener">IntelliJ</a></li>
				<li class="next">Make your application more secure with Secret Manager for <a href="https://cloud.google.com/code/docs/vscode/secret-manager" target="_blank" rel="noopener">VS Code</a> or <a href="https://cloud.google.com/code/docs/intellij/secret-manager" target="_blank" rel="noopener">IntelliJ</a></li>
				<li class="next">Explore the features of Cloud Run with <a href="https://cloud.google.com/run/docs/tutorials" target="_blank" rel="noopener">Cloud Run tutorials</a> </li>
			</ul>
			
			<h3>Want to help shape the future of Cloud Code?</h3>
			<ul>
				<li class="next">
				Sign up for the chance to participate in our ongoing research studies 
					<a href="https://google.qualtrics.com/jfe/form/SV_4Me7SiMewdvVYhL?reserved=1&utm_source=In-product&Q_Language=en&utm_medium=own_prd&utm_campaign=Q1&productTag=clou&campaignDate=January2021&referral_code=UXlX318928" target="_blank" rel="noopener">
						here!
					</a>
				</li>
				<li class="next">Join the <b>#cloud-code</b> channel in the <a href="https://join.slack.com/t/googlecloud-community/shared_invite/zt-erdf4ity-8ZMUQ18DYV~5hkbZ~gCswg" target="_blank" rel="noopener">Google Cloud Platform Slack community</a> to ask questions, provide feedback, and get the latest Cloud Code news</li>
			</ul>

			<h3>Learn more with our documentation</h3>
			<p class="cta">
				<a href="https://cloud.google.com/code/docs" target="_blank" rel="noopener">
					CLOUD CODE DOCS
				</a>
				<a href="https://cloud.google.com/run/docs" target="_blank" rel="noopener">
					CLOUD RUN
				</a>
				<a href="https://cloud.google.com/shell/docs/editor-overview#cloud_code_integration" target="_blank" rel="noopener">
					CLOUD CODE ON CLOUD SHELL
				</a>
			</p>
		</div>
	</div>
</body>
</html>